SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetSentimentAnalysisResult] (
	@VCC varchar(50),
	@InteractionId varchar(250),
	@InteractionSection numeric(5,0),
	@InteractionPart numeric(5,0),
	@EndDate varchar(50)
   
	)
AS
BEGIN
	SET NOCOUNT ON

    SELECT [AnalysisType] 'analysisType',
    [SentimentId]  'intentId',
    [Score] 'averageResult',
    CASE WHEN [MaxScore] = 0 THEN 'normal' ELSE 'max' END AS 'status'
    FROM SentimentAnalysisResult WHERE 
    VCC = @VCC
    AND InteractionId = @InteractionId
    AND InteractionSection = @InteractionSection
    AND InteractionPart = @InteractionPart
    AND ISNULL(CONVERT(DATE,EndDate,105),'') = ISNULL(@EndDate,'')
	


    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
